public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrice Clement" <monsieurp@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-java/junit/
Date: Sat,  1 Apr 2017 23:20:37 +0000 (UTC)	[thread overview]
Message-ID: <1491088836.7d2058adfc56d3667675ed8236654e4240a5dcef.monsieurp@gentoo> (raw)

commit:     7d2058adfc56d3667675ed8236654e4240a5dcef
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Sat Apr  1 23:19:31 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sat Apr  1 23:20:36 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7d2058ad

dev-java/junit: EAPI 6 bump.

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 dev-java/junit/junit-3.8.2-r2.ebuild | 42 ++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

diff --git a/dev-java/junit/junit-3.8.2-r2.ebuild b/dev-java/junit/junit-3.8.2-r2.ebuild
new file mode 100644
index 00000000000..7cf51fa048a
--- /dev/null
+++ b/dev-java/junit/junit-3.8.2-r2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-pkg-simple
+
+MY_P=${P/-/}
+
+DESCRIPTION="Simple framework to write repeatable tests"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.zip"
+HOMEPAGE="http://www.junit.org/"
+LICENSE="CPL-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc64 ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+DEPEND=">=virtual/jdk-1.6"
+RDEPEND=">=virtual/jre-1.6"
+
+DOCS=( README.html cpl-v10.html )
+
+JAVA_SRC_DIR="${PN}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_unpack() {
+	unpack ${A}
+	cd "${S}" || die
+	unzip src.jar || die
+}
+
+src_prepare() {
+	default
+	java-pkg_clean
+}
+
+src_install() {
+	java-pkg-simple_src_install
+	einstalldocs
+}


             reply	other threads:[~2017-04-01 23:20 UTC|newest]

Thread overview: 58+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-04-01 23:20 Patrice Clement [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-29 10:59 [gentoo-commits] repo/gentoo:master commit in: dev-java/junit/ Arthur Zamarin
2024-09-29 10:59 Arthur Zamarin
2024-09-29 10:59 Arthur Zamarin
2024-08-31  7:52 Miroslav Šulc
2024-05-17  9:28 Miroslav Šulc
2024-05-15 12:49 Sam James
2024-05-15 10:31 Sam James
2024-05-15 10:31 Sam James
2024-05-15 10:31 Sam James
2024-05-11  8:17 Miroslav Šulc
2024-05-10 22:50 Sam James
2024-05-10 22:50 Sam James
2024-05-10 22:50 Sam James
2024-05-10 22:50 Sam James
2024-05-01 23:18 Ionen Wolkens
2024-05-01 23:18 Ionen Wolkens
2024-04-14 13:39 Arthur Zamarin
2024-04-14 13:39 Arthur Zamarin
2024-04-14  7:49 Miroslav Šulc
2024-04-11  6:52 Miroslav Šulc
2024-04-11  6:52 Miroslav Šulc
2024-04-11  6:52 Miroslav Šulc
2023-11-13  7:07 Sam James
2023-11-13  7:07 Sam James
2023-04-16  6:00 Sam James
2023-04-16  6:00 Sam James
2023-04-16  6:00 Sam James
2023-04-16  6:00 Sam James
2023-03-15 12:18 Arthur Zamarin
2023-03-11  8:06 Arthur Zamarin
2023-03-10  9:43 Arthur Zamarin
2023-03-10  9:43 Arthur Zamarin
2023-03-10  7:34 Miroslav Šulc
2023-03-09  6:42 Miroslav Šulc
2023-01-07 13:19 Joonas Niilola
2021-05-06 16:39 Miroslav Šulc
2021-05-06 10:09 Sam James
2021-05-06 10:01 Sam James
2021-05-06  6:57 Agostino Sarubbo
2021-05-06  6:55 Agostino Sarubbo
2021-04-05 11:01 Miroslav Šulc
2021-03-26 20:42 Agostino Sarubbo
2021-03-26  7:50 Agostino Sarubbo
2021-03-15 16:18 Agostino Sarubbo
2021-03-14  8:21 Miroslav Šulc
2021-03-13  8:44 Miroslav Šulc
2021-03-12 12:18 Miroslav Šulc
2021-02-15  8:31 Miroslav Šulc
2019-05-18  1:14 Aaron Bauman
2019-03-16 19:24 Patrice Clement
2019-03-16 19:24 Patrice Clement
2017-07-13  7:48 Alexis Ballier
2017-07-13  7:48 Alexis Ballier
2016-04-07  9:59 James Le Cuirot
2016-04-07  9:59 James Le Cuirot
2016-02-10 19:41 Mike Frysinger
2015-11-19 22:56 James Le Cuirot

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1491088836.7d2058adfc56d3667675ed8236654e4240a5dcef.monsieurp@gentoo \
    --to=monsieurp@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox